Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2655233006: cc : Clean up cc clip tree (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months ago by jaydasika
Modified:
4 months, 1 week ago
Reviewers:
pdr., weiliangc, ajuma, chrishtr
CC:
cc-bugs_chromium.org, chromium-reviews, telemetry-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

cc : Clean up cc clip tree * Cache the dynamically computed clip and visible rects and use them to calculate clip and visible rects. * Stop creating clip nodes for render surfaces. * Delete combined_clip_in_target_space, clip_in_target_space, target_effect_id, layer_clipping_uses_only_local_clip, layers_are_clipped, layers_are_clipped_when_surfaces_disabled, resets_clip from clip node * Remove the verify_clip_rect_calculations path from tests. BUG=642578, 642584, 642581 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel;master.tryserver.chromium.linux:linux_layout_tests_slimming_paint_v2 Review-Url: https://codereview.chromium.org/2655233006 Cr-Commit-Position: refs/heads/master@{#458597} Committed: https://chromium.googlesource.com/chromium/src/+/3a6b144350b8c18f94c48143414031627572dd41

Patch Set 1 #

Patch Set 2 : no_cache #

Patch Set 3 : rebase #

Patch Set 4 : . #

Patch Set 5 : . #

Patch Set 6 : rebase #

Patch Set 7 : . #

Patch Set 8 : # cache hits #

Patch Set 9 : . #

Patch Set 10 : . #

Patch Set 11 : rebase #

Patch Set 12 : reset_on_impl #

Patch Set 13 : copy_cache_from_pending_to_active #

Patch Set 14 : reverse #

Patch Set 15 : only_visible_rect_cache #

Patch Set 16 : dont_cache_intermediate_values #

Patch Set 17 : dont_use_intermediate_values #

Patch Set 18 : fixed_vector_sizes #

Patch Set 19 : rebase #

Patch Set 20 : should_reduce_vector_size #

Patch Set 21 : rebase #

Patch Set 22 : dont_cache_intermediate_vals #

Patch Set 23 : rebase #

Patch Set 24 : cache_on_clip_node #

Patch Set 25 : rebase #

Patch Set 26 : cache_intermediate_on_clip_nodes #

Patch Set 27 : stack -> vector #

Patch Set 28 : rebase #

Patch Set 29 : visible_rects_all_at_once #

Patch Set 30 : reduce_vector_initializations #

Patch Set 31 : seperate is clipped #

Patch Set 32 : use_screen_transforms #

Patch Set 33 : rebase #

Patch Set 34 : no clip nodes for rs #

Patch Set 35 : transforms_before_rects #

Patch Set 36 : rebase #

Patch Set 37 : blink_changes #

Patch Set 38 : height_clip_tree #

Patch Set 39 : . #

Patch Set 40 : update cached visible rect on main #

Patch Set 41 : clean_up #

Patch Set 42 : get_back_stack #

Patch Set 43 : clean_up #

Patch Set 44 : more clean up #

Patch Set 45 : perf_tests #

Patch Set 46 : blink_tests #

Total comments: 18

Patch Set 47 : fully_visible #

Patch Set 48 : rebaseline #

Patch Set 49 : hack for spv2 layout tests #

Patch Set 50 : rebase #

Patch Set 51 : more rebaselines #

Patch Set 52 : Address comments #

Total comments: 2

Patch Set 53 : add benchmark/measurement #

Patch Set 54 : review comments #

Patch Set 55 : rebase #

Patch Set 56 : bug number test expectations #

Total comments: 8

Patch Set 57 : review comments #

Patch Set 58 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+520 lines, -1251 lines) Patch
M cc/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 1 chunk +0 lines, -2 lines 0 comments Download
M cc/layers/layer_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 2 chunks +1 line, -1 line 0 comments Download
M cc/layers/picture_layer_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +0 lines, -1 line 0 comments Download
M cc/layers/picture_layer_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 5 chunks +4 lines, -5 lines 0 comments Download
M cc/layers/scrollbar_layer_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 34 35 36 37 38 39 40 2 chunks +0 lines, -2 lines 0 comments Download
M cc/layers/texture_layer_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 1 chunk +0 lines, -1 line 0 comments Download
M cc/output/bsp_tree_perftest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 1 chunk +1 line, -2 lines 0 comments Download
M cc/test/fake_layer_tree_host.cc View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M cc/test/fake_layer_tree_host_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +2 lines, -5 lines 0 comments Download
M cc/test/fake_layer_tree_host_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 3 chunks +5 lines, -10 lines 0 comments Download
M cc/test/layer_test_common.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 2 chunks +2 lines, -4 lines 0 comments Download
D cc/test/layer_tree_settings_for_testing.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 1 chunk +0 lines, -20 lines 0 comments Download
M cc/test/layer_tree_settings_for_testing.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 1 chunk +0 lines, -16 lines 0 comments Download
M cc/test/layer_tree_test.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 1 chunk +0 lines, -1 line 0 comments Download
M cc/test/test_layer_tree_host_base.cc View 1 chunk +0 lines, -1 line 0 comments Download
M cc/tiles/tile_manager_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 5 chunks +2 lines, -5 lines 0 comments Download
M cc/trees/clip_node.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 3 chunks +10 lines, -38 lines 0 comments Download
M cc/trees/clip_node.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 6 chunks +12 lines, -49 lines 0 comments Download
M cc/trees/damage_tracker_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 11 chunks +4 lines, -23 lines 0 comments Download
M cc/trees/draw_property_utils.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 5 chunks +15 lines, -36 lines 0 comments Download
M cc/trees/draw_property_utils.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 17 chunks +257 lines, -719 lines 0 comments Download
M cc/trees/layer_tree_host_common.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 2 chunks +2 lines, -4 lines 0 comments Download
M cc/trees/layer_tree_host_common.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 10 chunks +24 lines, -29 lines 0 comments Download
M cc/trees/layer_tree_host_common_perftest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 1 chunk +1 line, -2 lines 0 comments Download
M cc/trees/layer_tree_host_common_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 12 chunks +49 lines, -113 lines 0 comments Download
M cc/trees/layer_tree_host_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 1 chunk +0 lines, -1 line 0 comments Download
M cc/trees/layer_tree_host_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 4 chunks +16 lines, -8 lines 0 comments Download
M cc/trees/layer_tree_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 1 chunk +1 line, -3 lines 0 comments Download
M cc/trees/layer_tree_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 3 chunks +2 lines, -9 lines 0 comments Download
M cc/trees/layer_tree_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 9 chunks +6 lines, -31 lines 0 comments Download
M cc/trees/layer_tree_settings.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 1 chunk +0 lines, -1 line 0 comments Download
M cc/trees/property_tree.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 2 chunks +14 lines, -0 lines 0 comments Download
M cc/trees/property_tree.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 3 chunks +21 lines, -0 lines 0 comments Download
M cc/trees/property_tree_builder.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 1 chunk +12 lines, -11 lines 0 comments Download
M cc/trees/property_tree_builder.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 5 chunks +48 lines, -83 lines 0 comments Download
M third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2 View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 1 chunk +8 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/compositing/PaintArtifactCompositorTest.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 6 chunks +0 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/compositing/PropertyTreeManager.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 2 chunks +0 lines, -7 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 101 (70 generated)
jaydasika
Patch 42 has a 6.8% regression in CalcDrawProps computation time for top-10k pages on Android. ...
4 months, 2 weeks ago (2017-03-13 19:10:33 UTC) #10
jaydasika
I have locally reproduced all layout test failures showing up on linux_trusty_blink_rel and I don't ...
4 months, 2 weeks ago (2017-03-13 21:55:00 UTC) #21
weiliangc
So happy to look at this CL taking place. \o/ https://codereview.chromium.org/2655233006/diff/930001/cc/layers/layer_impl_unittest.cc File cc/layers/layer_impl_unittest.cc (right): https://codereview.chromium.org/2655233006/diff/930001/cc/layers/layer_impl_unittest.cc#newcode142 ...
4 months, 2 weeks ago (2017-03-14 22:04:30 UTC) #26
jaydasika
The changes other than addressing comments from the last reviewed patch : 1) The reviewed ...
4 months, 1 week ago (2017-03-16 20:33:31 UTC) #50
jaydasika
Use Patch 52 for review. I just added back perf files for running on cluster ...
4 months, 1 week ago (2017-03-16 21:29:39 UTC) #51
jaydasika
After all the changes, the regression is down to ~2.5% (on patch 52 on top-10k ...
4 months, 1 week ago (2017-03-17 17:41:52 UTC) #52
jaydasika
ping
4 months, 1 week ago (2017-03-20 18:26:52 UTC) #53
weiliangc
In previous comment you mentioned that cache locality might be the cause for the perf ...
4 months, 1 week ago (2017-03-20 19:32:37 UTC) #54
jaydasika
On 2017/03/20 19:32:37, weiliangc wrote: > In previous comment you mentioned that cache locality might ...
4 months, 1 week ago (2017-03-20 20:48:49 UTC) #59
jaydasika
https://codereview.chromium.org/2655233006/diff/1090001/cc/trees/clip_node.h File cc/trees/clip_node.h (right): https://codereview.chromium.org/2655233006/diff/1090001/cc/trees/clip_node.h#newcode64 cc/trees/clip_node.h:64: gfx::RectF accumulated_rect_in_screen_space; On 2017/03/20 19:32:37, weiliangc wrote: > Could ...
4 months, 1 week ago (2017-03-20 20:49:16 UTC) #60
weiliangc
On 2017/03/20 at 20:48:49, jaydasika wrote: > On 2017/03/20 19:32:37, weiliangc wrote: > > In ...
4 months, 1 week ago (2017-03-20 21:02:39 UTC) #61
jaydasika
On 2017/03/20 21:02:39, weiliangc wrote: > On 2017/03/20 at 20:48:49, jaydasika wrote: > > On ...
4 months, 1 week ago (2017-03-20 21:14:30 UTC) #63
weiliangc
LGTM
4 months, 1 week ago (2017-03-21 17:13:52 UTC) #69
jaydasika
+ pdr / chrishtr for blink changes.
4 months, 1 week ago (2017-03-21 17:53:12 UTC) #71
chrishtr
https://codereview.chromium.org/2655233006/diff/1170001/third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2 File third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2 (right): https://codereview.chromium.org/2655233006/diff/1170001/third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2#newcode603 third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2:603: Bug(642581) fast/forms/textarea/textarea-scrolled-mask.html [ NeedsRebaseline ] How does it change? ...
4 months, 1 week ago (2017-03-21 18:06:31 UTC) #72
jaydasika
https://codereview.chromium.org/2655233006/diff/1170001/third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2 File third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2 (right): https://codereview.chromium.org/2655233006/diff/1170001/third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2#newcode603 third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2:603: Bug(642581) fast/forms/textarea/textarea-scrolled-mask.html [ NeedsRebaseline ] On 2017/03/21 18:06:30, chrishtr ...
4 months, 1 week ago (2017-03-21 18:18:33 UTC) #73
chrishtr
lgtm
4 months, 1 week ago (2017-03-21 18:20:30 UTC) #74
pdr.
https://codereview.chromium.org/2655233006/diff/1170001/third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2 File third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2 (right): https://codereview.chromium.org/2655233006/diff/1170001/third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2#newcode603 third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2:603: Bug(642581) fast/forms/textarea/textarea-scrolled-mask.html [ NeedsRebaseline ] On 2017/03/21 at 18:18:33, ...
4 months, 1 week ago (2017-03-21 18:23:44 UTC) #75
pdr.
On 2017/03/21 at 18:23:44, pdr. wrote: > https://codereview.chromium.org/2655233006/diff/1170001/third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2 > File third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2 (right): > > https://codereview.chromium.org/2655233006/diff/1170001/third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2#newcode603 ...
4 months, 1 week ago (2017-03-21 18:25:22 UTC) #76
pdr.
LGTM otherwise. Nice cleanup!
4 months, 1 week ago (2017-03-21 18:25:33 UTC) #77
jaydasika
https://codereview.chromium.org/2655233006/diff/1170001/third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2 File third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2 (right): https://codereview.chromium.org/2655233006/diff/1170001/third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2#newcode603 third_party/WebKit/LayoutTests/FlagExpectations/enable-slimming-paint-v2:603: Bug(642581) fast/forms/textarea/textarea-scrolled-mask.html [ NeedsRebaseline ] On 2017/03/21 18:23:44, pdr. ...
4 months, 1 week ago (2017-03-21 18:54:31 UTC) #78
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2655233006/1190001
4 months, 1 week ago (2017-03-21 18:55:16 UTC) #81
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/332717)
4 months, 1 week ago (2017-03-21 20:20:54 UTC) #83
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2655233006/1190001
4 months, 1 week ago (2017-03-21 20:26:42 UTC) #85
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/390698)
4 months, 1 week ago (2017-03-21 20:42:16 UTC) #87
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2655233006/1210001
4 months, 1 week ago (2017-03-21 20:58:02 UTC) #90
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/344684)
4 months, 1 week ago (2017-03-21 21:36:53 UTC) #92
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2655233006/1210001
4 months, 1 week ago (2017-03-21 21:44:11 UTC) #94
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/344743)
4 months, 1 week ago (2017-03-21 22:12:46 UTC) #96
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2655233006/1210001
4 months, 1 week ago (2017-03-21 22:30:42 UTC) #98
commit-bot: I haz the power
4 months, 1 week ago (2017-03-21 23:12:09 UTC) #101
Message was sent while issue was closed.
Committed patchset #58 (id:1210001) as
https://chromium.googlesource.com/chromium/src/+/3a6b144350b8c18f94c481434140...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973